Summary:	Daemonshogi is a GTK+ based, Simple shogi(japanese chess) program.
Summary(ja):デーモン将棋は GTK+ を使ったシンプルな将棋プログラムです。
Name:	daemonshogi
Version:	0.4
Release:	2%{?_dist_release}
License:	GPL v3
Group:		Applications/Games
URL:		http://daemonshogi.sourceforge.jp/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch10:	%{name}-0.4-cflags.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk2 >= 2.14.0
Requires:	tokyocabinet
BuildRequires:	gtk2-devel >= 2.14.0
BuildRequires:	desktop-file-utils
BuildRequires:	tokyocabinet-devel
BuildRequires:	cppunit-devel
Vendor:	Project Vine
Distribution:	Vine Linux

%description
Daemonshogi is a GTK+ based, Simple shogi(japanese chess) program.

%description -l ja
デーモン将棋は GTK+ を使ったシンプルな将棋プログラムです。

%prep
%setup -q
%patch10 -p1

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s -ldl" \
./configure --prefix=%{_prefix} 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# install desktop
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m644 %SOURCE1 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %SOURCE2

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README README.ja
%{_bindir}/%{name}
%{_bindir}/daecui
%{_localedir}/ja/LC_MESSAGES/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/daemon.xpm
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Feb 10 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4-2
- add Patch10 to honour CFLAGS environment variable
  (and fix configure.in which doesn't care ppc* at all)

* Sun Nov 08 2009 Shu KONNO <owa@bg.wakwak.com> 0.4-1
- updated daemonshogi to 0.4
- dropt patch0: daemonshogi-0.3.conf.patch

* Sun Oct 25 2009 Shu KONNO <owa@bg.wakwak.com> 0.3-1
- updated daemonshogi to 0.3
- changed lisence to GPL v3
- dropt patch0: daemonshogi-vine31.patch
- dropt patch1: daemonshogi-0.1.4-config.patch
- added patch0: daemonshogi-0.3.conf.patch

* Tue Jul 08 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.4-1vl5
- applied new versioning policy and spec in utf-8

* Tue Jan 29 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.4-0vl3
- updated url
- added %{name}.desktop
- added daemonshogi-0.1.4-config.patch (for x86_64)

* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.4-0vl2
- rebuilt with new toolchain

* Sun Jul 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.4-0vl1
- updated to 0.1.4
- changed Group to Applications/Games

* Sun Jan 09 2005 IKEDA Katsumi <ikeda@webmasters.gr.jp> 0.1.3-0vl2
- Added BuildRequires and Patch0 for Vine Linux 3.1.

* Fri Sep 20 2002 Masahiko Tokita <BQB04357@nifty.ne.jp>
- 0.1.3-0vl1
- update for Vine Linux

* Thu Sep 13 2002 Masahiko Tokita <BQB04357@nifty.ne.jp>
- Cleaned up a bit

* Thu Sep 12 2002 Masahiko Tokita <BQB04357@nifty.ne.jp>
- First try at an RPM
