%define SYSINFO_DISTRO vine

Name:           kio_sysinfo
Version:        20090620
Release:        3%{?_dist_release}
Summary:        KIO slave which shows basic system information

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.kde.org/
Source0:        http://ktown.kde.org/~lukas/kio_sysinfo/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  kdelibs-devel >= 4
#BuildRequires:  kde-filesystem >= 4
BuildRequires:  cmake
BuildRequires:  dbus-devel giflib-devel pcre-devel
BuildRequires:  gettext

%description
This is a sysinfo:/ KIO slave, which shows basic system information often 
requested by users.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
CFLAGS="${CFLAGS:-%optflags}" \
CXXFLAGS="${CXXFLAGS:-%optflags}" \
FFLAGS="${FFLAGS:-%optflags}" \
cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    -DSYSINFO_DISTRO:STRING=%{SYSINFO_DISTRO} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kio_sysinfo

%clean
rm -rf %{buildroot}


%files -f kio_sysinfo.lang
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/kde4/kio_sysinfo.so
%{_libdir}/kde4/libksysinfopart.so
%{_datadir}/applications/kde4/kfmclient_sysinfo.desktop
%{_datadir}/kde4/apps/sysinfo/about/
%{_datadir}/kde4/services/ksysinfopart.desktop
%{_datadir}/kde4/services/sysinfo.protocol
%{_datadir}/mime/packages/x-sysinfo.xml


%changelog
* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 20090620-3
- Initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090620-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 20 2009 Lukáš Tinkl <ltinkl@redhat.com> - 20090620-1
- new upstream version
- drop patches
- added battery status
- updated translations

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090216-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Jaroslav Reznik <jreznik@redhat.com> 20090216-2
- gettext requires
- conversion patch

* Mon Feb 16 2009 Jaroslav Reznik <jreznik@redhat.com> 20090216-1
- owns about directory
- new version

* Wed Nov 21 2008 Jaroslav Reznik <jreznik@redhat.com> 20081121-1
- initial package
- use SYSINFO_DISTRO