Summary:        A library implementing the SSH2 protocol (0xbadc0de version)
Summary(ja):    SSH2プロトコルを実装するためのライブラリ (0xbadc0de版)

Name:           libssh
Version:        0.2 
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://0xbadc0de.be/?part=libssh
Source0:        http://0xbadc0de.be/libssh/%{name}-%{version}.tgz
Patch0:         libssh-0.2-libdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  openssl-devel
BuildRequires:  zlib-devel   

%description
The SSH library with
-Full C library functions for manipulating a client-side SSH connection                                                                     
-Fully configurable sessions                                                                                                                
-Support for AES-128,AES-192,AES-256,blowfish, in cbc mode                                                                                  
-use multiple SSH connections in a same process, at same time.                                                                              
-usable SFTP implementation                                                                                                                 
-Public key and password authentication                                                                                                     

%package devel
Summary:         Development files for %{name}
Summary(ja):     %{name} の開発ファイル
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .libdir

%build
%configure --disable-static --enable-shared
make # doesn't build with %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} + 
chmod 644 $RPM_BUILD_ROOT/usr/include/libssh/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Tue Sep 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2-1
- initial build for Vine Linux

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.2-4
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-2
- Small changes during review

* Mon Jun 01 2009 Jan F. Chadima <jchadima@redhat.com> - 0.2-1
- Initial build
