Summary:	A lightweight GTK+ web browser 
Summary(ja):	軽量な GTK+ ウェブブラウザ
Name:		midori
Version:	0.2.3
Release:        1%{?_dist_release}

Group:		Applications/Internet
License:	LGPLv2.1+
URL:		http://software.twotoasts.de/?page=midori

Source0:	http://software.twotoasts.de/media/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libsexy-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6
BuildRequires:	perl-XML-Parser
BuildRequires:	WebKit-gtk-devel >= 1.1.6

## for IDN support
BuildRequires:  libidn-devel >= 1.0
## for Single instance
BuildRequires:  unique-devel >= 0.9
## for Persistent history
BuildRequires:  sqlite3-devel >= 3.0
BuildRequires:  glib2-devel >= 2.16.0
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  libsoup-devel >= 2.25.2
## for Icon optimizations: /usr/bin/rsvg-convert
BuildRequires:  librsvg2
## for User documentation
BuildRequires:  docutils
## for API documentation
#BuildRequires:  gtk-doc

Requires:	WebKit-gtk

%description
Midori is a lightweight web browser, and has many features expected of a
modern browser, including:
* Full integration with GTK+2.
* Fast rendering with WebKit.
* Tabs, windows and session management.
* Bookmarks are stored with XBEL.
* Searchbox based on OpenSearch.
* Custom context menu actions.
* User scripts and user styles support.
* Extensible via Lua scripts.

The project is currently in an early alpha state. The features are still being
implemented, and some are still quite incomplete.

%description -l ja
Midori は軽量な Web ブラウザで、多くの機能がモダンブラウザとして期待されています。
以下の機能が含まれています。： 
* GTK+2 に完全に統合。
* WebKit で高速なレンダリング。
* タブ、ウィンドウおよびセッションの管理。
* ブックマークは XBEL で格納。
* OpenSearch に基づくサーチボックス。
* カスタムコンテキストメニューの操作。
* ユーザースクリプトとユーザースタイルをサポート。
* Lua スクリプトを介して拡張可能。

プロジェクトは現在初期アルファの状態にあります。
機能はまだ実装中で、一部はかなり不完全です。

%prep
%setup -q


%build
export CFLAGS="%{optflags}"
./waf   --prefix=%{_usr}                        \
        --docdir=%{_docdir}/%{name}-%{version}  \
        --libdir=%{_libdir}                     \
        configure \
	    --disable-hildon
./waf %{?_smp_mflags} build


%install
rm -rf %{buildroot}
./waf --destdir=%{buildroot} install
%find_lang %{name}
desktop-file-install					\
	--vendor ""					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%dir %{_sysconfdir}/xdg/midori
%{_sysconfdir}/xdg/midori/*
#%{_sysconfdir}/%{name}/
%{_bindir}/midori
%dir %{_libdir}/midori
%{_libdir}/midori/*.so
%{_datadir}/midori/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*.png


%changelog
* Thu Feb 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.3-1
- new upstream release

* Mon Dec 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.2-1
- new upstream release

* Sat Nov 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.1-1
- new upstream release

* Fri Oct 16 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.0-1
- new upstream release
- fixed BuildRequires:	perl-XML-Parser

* Sun Sep 13 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.10-1
- new upstream release

* Sun Aug 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.9-1
- new upstream release

* Mon Jul 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.8-2
- added Japanese description
- fixed BuildRequires:	perl(XML::Parser) to perl-XML-Parser

* Sun Jul 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.8-1
- new upstream release
- few changed in %files seciton

* Sun May 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-1
- new upstream release
- add BR: WebKit-gtk-devel >= 1.1.6
- add --disable-hildon to configure option

* Thu Mar 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.4-1
- new upstream release
- drop old ja.po

* Mon Feb 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.1-1
- new upstream release

* Sun Aug 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.19-1
- new upstream release
- update ja.po

* Fri Jul 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.0.18-1
- initial build for Vine Linux
- add initial ja.po

* Sat May 24 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.18-1
- Update to new upstream release (0.0.18), adds some translations and
  a lot of bug-fixes.
- Alphabetize dependency list (aesthetic-only change).

* Sat Apr 12 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-3
- Rebuild for updated WebKit library so-name and include directory.

* Mon Mar 03 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-2
- Cleanups from review (bug 435661):
  (1) Fix consistency of tabs/spaces usage.
  (2) Fix source permissions.
  (3) Add desktop-file-utils build dependency.

* Sun Mar 02 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-1
- Initial packaging for Fedora.
